"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.thereArePendingTxs = exports.getPendingTxByAddress = void 0;
async function getPendingTxByAddress(client, address) {
    const pendingTxsByAddr = await client
        .pendingTransactionByAddress(address)
        .do();
    return pendingTxsByAddr;
}
exports.getPendingTxByAddress = getPendingTxByAddress;
async function thereArePendingTxs(client, address) {
    const txs = await getPendingTxByAddress(client, address);
    return txs['total-transactions'].length > 0;
}
exports.thereArePendingTxs = thereArePendingTxs;
//# sourceMappingURL=transactions.js.map