"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("../");
const test = require("./testConfig");
describe('TransactionTest: happy path', () => {
    const reader = new __1.Reader(__1.ENetworks.TESTNET);
    it('Should return the pending txs from an account', async () => {
        const pendingTxs = await reader.getPendingTx(test.address);
        expect(pendingTxs).toBeDefined();
    });
    it('Should return false if there is not a pending tx', async () => {
        const pendingTxs = await reader.thereArePendingTxs(test.address);
        expect(pendingTxs).toBe(false);
    });
});
//# sourceMappingURL=transaction.test.js.map